Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/Makefile.deps	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/Makefile.deps	(revision 77)
@@ -25,16 +25,13 @@
 					$(Behavioural_DIR_LIBRARY)
 
-Execute_queue_DEPENDENCIES	=	Behavioural_library
+#-----[ Rules ]--------------------------------------------
 
-Execute_queue_CLEAN        	=	Behavioural_library_clean
-
-#-----[ Rules ]--------------------------------------------
-#.NOTPARALLEL			: Execute_queue_library Execute_queue_library_clean
-
-Execute_queue_library		: $(Execute_queue_DEPENDENCIES)
+Execute_queue_library		:
 				@\
+				$(MAKE) Behavioural_library; \
 				$(MAKE) --directory=$(Execute_queue_DIR) --makefile=Makefile;
 
-Execute_queue_library_clean	: $(Execute_queue_CLEAN)
+Execute_queue_library_clean	:
 				@\
+				$(MAKE) Behavioural_library_clean; \
 				$(MAKE) --directory=$(Execute_queue_DIR) --makefile=Makefile clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/SelfTest/configuration.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/SelfTest/configuration.cfg	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/SelfTest/configuration.cfg	(revision 77)
@@ -7,4 +7,2 @@
 32	32	*2 # uint32_t size_general_data  
 2	2	*2 # uint32_t size_special_data  
-10	10	*2 # uint32_t nb_operation       
-4	4	*2 # uint32_t nb_type            
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/SelfTest/src/main.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/SelfTest/src/main.cpp	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/SelfTest/src/main.cpp	(revision 77)
@@ -8,5 +8,5 @@
 #include "Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/SelfTest/include/test.h"
 
-#define NB_PARAMS 9
+#define NB_PARAMS 7
 
 void usage (int argc, char * argv[])
@@ -21,6 +21,4 @@
   err (_(" * size_general_data   (uint32_t)\n"));
   err (_(" * size_special_data   (uint32_t)\n"));
-  err (_(" * nb_operation        (uint32_t)\n"));
-  err (_(" * nb_type             (uint32_t)\n"));
 
   exit (1);
@@ -46,6 +44,4 @@
   const uint32_t size_general_data   = atoi(argv[x++]);
   const uint32_t size_special_data   = atoi(argv[x++]);
-  const uint32_t nb_operation        = atoi(argv[x++]);
-  const uint32_t nb_type             = atoi(argv[x++]);
 
   try 
@@ -58,7 +54,5 @@
 	 nb_packet          ,
 	 size_general_data  ,
-	 size_special_data  ,
-	 nb_operation       ,
-	 nb_type            );
+	 size_special_data  );
       
       msg(_("%s"),param->print(1).c_str());
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/include/Parameters.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/include/Parameters.h	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/include/Parameters.h	(revision 77)
@@ -33,6 +33,4 @@
   public : const uint32_t            _size_general_data            ;
   public : const uint32_t            _size_special_data            ;
-  public : const uint32_t            _nb_operation                 ;
-  public : const uint32_t            _nb_type                      ;
 
   public : const uint32_t            _size_context_id              ;
@@ -40,6 +38,4 @@
   public : const uint32_t            _size_ooo_engine_id           ;
   public : const uint32_t            _size_packet_id               ;
-  public : const uint32_t            _size_operation               ;
-  public : const uint32_t            _size_type                    ;
 
   public : const bool                _have_port_context_id         ;
@@ -55,7 +51,5 @@
 			uint32_t nb_packet          ,
 			uint32_t size_general_data  ,
-			uint32_t size_special_data  ,
-			uint32_t nb_operation       ,
-			uint32_t nb_type            );
+			uint32_t size_special_data  );
   public : Parameters  (Parameters & param) ;
   public : ~Parameters () ;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/src/Parameters.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/src/Parameters.cpp	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/src/Parameters.cpp	(revision 77)
@@ -26,7 +26,5 @@
 			  uint32_t nb_packet          ,
 			  uint32_t size_general_data  ,
-			  uint32_t size_special_data  ,
-			  uint32_t nb_operation       ,
-			  uint32_t nb_type            ):
+			  uint32_t size_special_data  ):
     _size_queue              (size_queue         ),
     _nb_context              (nb_context         ),
@@ -36,6 +34,4 @@
     _size_general_data       (size_general_data  ),
     _size_special_data       (size_special_data  ),
-    _nb_operation            (nb_operation       ),
-    _nb_type                 (nb_type            ),
 
     _size_context_id         (log2(_nb_context         )),
@@ -43,6 +39,4 @@
     _size_ooo_engine_id      (log2(_nb_ooo_engine      )),
     _size_packet_id          (log2(_nb_packet          )),
-    _size_operation          (log2(_nb_operation       )),
-    _size_type               (log2(_nb_type            )),
 
     _have_port_context_id    (_size_context_id    > 0),
@@ -66,6 +60,4 @@
     _size_general_data       (param._size_general_data      ),
     _size_special_data       (param._size_special_data      ),
-    _nb_operation            (param._nb_operation           ),
-    _nb_type                 (param._nb_type                ),
 
     _size_context_id         (param._size_context_id        ),
@@ -73,6 +65,4 @@
     _size_ooo_engine_id      (param._size_ooo_engine_id     ),
     _size_packet_id          (param._size_packet_id         ),
-    _size_operation          (param._size_operation         ),
-    _size_type               (param._size_type              ),
 
     _have_port_context_id    (param._have_port_context_id   ),
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/src/Parameters_print.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/src/Parameters_print.cpp	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/src/Parameters_print.cpp	(revision 77)
@@ -35,6 +35,4 @@
     xml.singleton_begin("size_general_data  "); xml.attribut("value",toString(_size_general_data  )); xml.singleton_end();
     xml.singleton_begin("size_special_data  "); xml.attribut("value",toString(_size_special_data  )); xml.singleton_end();
-    xml.singleton_begin("nb_operation       "); xml.attribut("value",toString(_nb_operation       )); xml.singleton_end();
-    xml.singleton_begin("nb_type            "); xml.attribut("value",toString(_nb_type            )); xml.singleton_end();
     xml.balise_close();
 
